;	================================================================================
							.Code
;	================================================================================

							ALIGN	4

;	================================================================================
;	01/03/2007	Philippe RIO (Grincheux) - www.stosd.com
;
;	This function frees memory allocated by the File_LoadEntire function. It close the files handles too.
;
;	Args :
;		__lpBuffer				: LPBYTE	(Address of a buffer allocated by File_LoadEntire)
;		__hOriginalFile			: HANDLE	(Handle of the loaded file)
;		__hFileMappingObject	: HANDLE	(Handle to the mapped file)
;
;	ATTN :	Parameters begins with two underscores
;			Locals variables begins with one unerscores
;			Globals variables have no underscore
;	================================================================================

File_Unload					PROC	__lpBuffer:LPBYTE,__hOriginalFile:HANDLE,__hFileMappingObject:HANDLE

							INVOKE	UnmapViewOfFile,__lpBuffer

							INVOKE	CloseHandle,__hFileMappingObject
							INVOKE	CloseHandle,__hOriginalFile

							ret
File_Unload					ENDP

;	================================================================================

